* {
    margin:     0;
    padding:    0;
    box-sizing: border-box;
}

main {
    min-height:       100vh;
    display:          flex;
    justify-content:  center;
    align-items:      center;
    background-color: #2366ba;
}

h2 {
    font-size:           7rem;
    position:            relative;
    color:               #2366ba;
    -webkit-text-stroke: 0.1rem #898f96;
    text-transform:      uppercase;
    text-align:          center;
}

h2::before {
    content:             attr(data-text);
    position:            absolute;
    top:                 0;
    left:                0;
    width:               0;
    height:              100%;
    color:               #01fe87;
    -webkit-text-stroke: 0 #383d52;
    overflow:            hidden;
    animation:           animate 10s linear infinite;
    box-shadow:          2px 6px 20px #7d98c7;
    text-align:          center;
    border:              1px solid red;
    border-radius:       0.3rem;
}

@keyframes animate {
    0%, 10%, 100% {
        width:   0;
    }
    70%, 90% {
        width:   100%;
    }
}